<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/6/10
 * Time: 10:56
 */

namespace App\Transformers\Post;
use App\Models\PostComment;
use Illuminate\Support\Carbon;
use League\Fractal\TransformerAbstract;

class CommentTransformer extends TransformerAbstract
{
    public function transform(PostComment $postComment)
    {
        return [
            'id' => $postComment['id'],
            'parent_id' => $postComment['parent_id'],
            'uid' => $postComment['uid'],
            'username' => $postComment['username'],
            'avatar' => $postComment['avatar'],
            'content' => $postComment['is_delete'] == 1 ? '该评论已被删除' : $postComment['content'],
            'created_at' => Carbon::parse($postComment['created_at'])->toDateTimeString(),
            'is_delete' => $postComment['is_delete'],
        ];
    }
}